FROM alpine:3.17
WORKDIR /srv
RUN apk add --no-cache python3 py3-pip make
RUN pip3 install pelican markdown
COPY . /srv/
RUN pelican content -s pelicanconf.py -t theme

FROM nginx:1.22.1-alpine
WORKDIR /srv
COPY --from=0 /srv/output/ /usr/share/nginx/html/
